<!--
 Copyright 2024 Rostlab.
 SPDX-License-Identifier: Apache-2.0
-->

# About

FlatProt is a Python package for protein structure and sequence analysis. It provides standardized 2D visualizations for enhanced protein comparability, combining efficient processing of proteins with user-friendly visualizations.

## Key Features

-   Standardized 2D visualization approach for protein analysis
-   Integration with Foldseek alignments for protein family mapping
-   Efficient processing of proteins across varying sizes
-   Fast response times even for large, complex structures
-   Support for proteins up to 3,000 residues
-   Clear and consistent visualizations for structure analysis

## Visualization Options

FlatProt offers multiple visualization types to suit different analysis needs:

-   **Normal**: Standard visualization with detailed secondary structure representation
-   **Simple-coil**: Simplified coil representation while maintaining detailed secondary structure elements
-   **Only-path**: Minimalist path representation of the protein structure
-   **Special**: Enhanced visualization with customizable features for specific analysis needs

### Secondary Structure Representation

-   **Helices**: Visualized in red (#F05039), with options for simple or detailed representation
-   **Sheets**: Shown in blue (#1F449C) with arrow representations
-   **Coils**: Displayed in black with adjustable simplification levels

## Advanced Features

-   **Multi-chain Support**: Automatic handling and visualization of multiple protein chains
-   **Domain Analysis**: Support for domain-split visualization with optional domain annotations
-   **LDDT Score Visualization**: Color-coded representation of local distance difference test scores
-   **Residue Annotations**: Optional display of amino acid annotations and chain positions
-   **Custom Highlighting**: Support for manual residue and bond highlighting through JSON configuration

## Citation

[Citation placeholder]
